FREEFOAM-FOAMTOSTARMESH(1)

NAME
freefoam-foamToStarMesh - Reads an OpenFOAM mesh and writes a pro-STAR (v4) bnd/cel/vrt format.

SYNOPSIS

freefoam foamToStarMesh [-help] [-latestTime] [-scale <factor>] [-tri] [-noZero] [-surface] [-srcDoc] [-doc] [-time <time>] [-constant] [-case <dir>] [-noBnd]

DESCRIPTION

TODO write detailed description

OPTIONS

-noBnd
    Suppress writing the @c .bnd file.

-scale <factor>
    Specify an alternative geometry scaling factor. The default is 1000 (scale @em [m] to @em [mm]).

-surface
    Extract the surface of the volume mesh only. This can be useful, for example, for surface morphing in an external package.

-tri
    Extract a triangulated surface. The @b -surface options is implicitly selected.

-case <dir>
    Case directory.

-noZero
    Ignore time step 0.

-constant
    Include the constant directory.

-latestTime
    Only apply to the latest time step.

-time <time>
    Apply only to specified time.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

NOTE

The cellTable information available in the files constant/cellTable and constant/polyMesh/cellTableId will be used if available. Otherwise the cellZones are used when creating the cellTable information. SEE ALSO

    Foam::cellTable, Foam::meshWriter and Foam::meshWriters::STARCD
    SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.